Subject: cygqwin with mingw32 question
From: David Starks-Browning <[email-masked]>
To: Jonathan Wilson <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Mar 2002 11:43:34 +0000
Newsgroups: gmane.os.cygwin

On Friday 29 Mar 02, Jonathan Wilson writes:
> I am going to be doing something thats going to use cygwin, -mno-cygwin 
> and mingw32 and I need to know what compiler flags I can use to test for 
> this.
> This same code already builds on win32 with visual C++ and also on *nix 
> with gcc so is there a set of tests I can do to say "#ifdef _WIN32 && 
> _GCC" or something like that?

There is an entry in the "Programming Questions" section of the FAQ.
The question itself is rather badly worded, but I leave finding it as
an exercise for the reader.  If you have to read every entry in that
section, I would say that's a good thing.

BTW, if I can improve that entry, let me know.  It was written quite
some time ago.

Cheers,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/